Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api.util.text
Class ISODateSieve

    java.lang.Object
      com.qizx.util.StringParser
          com.qizx.util.DateTimeParser
              com.qizx.api.util.text.ISODateSieve

All Implemented Interfaces:
  Indexing.DateSieve, Indexing.NumberSieve, Indexing.Sieve, Serializable

    public class ISODateSieve

extends com.qizx.util.DateTimeParser
implements Indexing.DateSieve

Default DateSieve implementation: recognizes ISO date and dateTime.

Recognized patterns: YYYY-MM-DD[TZ] and YYYY-MM-DDThh:mm:ss.fff[TZ], where TZ is an optional time-zone specification.

See Also:
  Serialized Form

Constructor Summary
`ISODateSieve()`

Method Summary
`double` | `convert(String value)` Returns a number of milliseconds since 1970-01-01 00:00:00 UTC.
`String[]` | `getParameters()` Returns parameters specified by setParameters().
`void` | `setParameters(String[] parameters)` Defines optional parameters for the sieve.
`String` | `toString()`

Methods inherited from class com.qizx.util.DateTimeParser
`getMillisecondsFromEpoch, parseDate, parseTime, parseTimezone, reset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ISODateSieve

    public ISODateSieve()

Method Detail

### convert

    public double convert(String value)

  Returns a number of milliseconds since 1970-01-01 00:00:00 UTC.

  Specified by:
    `convert` in interface `Indexing.DateSieve`
  Specified by:
    `convert` in interface `Indexing.NumberSieve`
  Parameters:
    `value` - a possible date to convert.
  Returns:
    the converted value, or NaN if the conversion is not possible.

### getParameters

    public String[] getParameters()

  Description copied from interface: `Indexing.Sieve`
  Returns parameters specified by setParameters().

  Specified by:
    `getParameters` in interface `Indexing.Sieve`
  Returns:
    an array of even size containing alternately a parameter name and a parameter value.

### setParameters

    public void setParameters(String[] parameters)
                       throws DataModelException

  Description copied from interface: `Indexing.Sieve`
  Defines optional parameters for the sieve.

  Specified by:
    `setParameters` in interface `Indexing.Sieve`
  Parameters:
    `parameters` - an array of even size containing alternately a parameter name and a parameter value.
  Throws:
    `DataModelException` - if the option is unknown or the value is invalid.
  See Also:
    `Indexing.Sieve.setParameters(java.lang.String[])`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD